<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.cheng.bole.widget.CommonShapeView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_18"
        android:layout_marginTop="@dimen/dp_20"
        android:paddingStart="@dimen/dp_8"
        android:paddingEnd="@dimen/dp_8"
        android:text="17:38"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_12"
        app:csb_cornerRadius="@dimen/dp_10"
        app:csb_fillColor="#D3D3D3"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.lihang.ShadowLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_5"
        android:layout_marginTop="@dimen/dp_7"
        android:layout_marginEnd="@dimen/dp_5"
        app:hl_cornerRadius="@dimen/dp_8"
        app:hl_shadowColor="@color/color_shadow"
        app:hl_shadowLimit="@dimen/dp_7"
        app:layout_constraintTop_toBottomOf="@id/tv_time"
        app:layout_goneMarginTop="@dimen/dp_10">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingTop="@dimen/dp_14"
            android:paddingBottom="@dimen/dp_16">

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_marginEnd="@dimen/dp_12"
                android:ellipsize="end"
                android:lineHeight="@dimen/dp_20"
                android:lineSpacingExtra="@dimen/dp_5"
                android:maxLines="2"
                android:text="中国融通医疗健康集团有限公司气囊式体"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_14"
                android:fontFamily="sans-serif-medium"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_marginTop="@dimen/dp_6"
                android:layout_marginEnd="@dimen/dp_12"
                android:ellipsize="end"
                android:maxLines="1"
                android:singleLine="true"
                android:text="中国融通电子商务平台"
                android:textColor="@color/color_666666"
                android:textSize="@dimen/sp_12"
                android:visibility="gone"
                app:layout_constraintTop_toBottomOf="@id/tv_title" />

            <LinearLayout
                android:id="@+id/layout_info"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_marginTop="@dimen/dp_12"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                app:layout_constraintEnd_toStartOf="@id/tv_rate"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_content">

                <com.cheng.bole.widget.CommonShapeView
                    android:id="@+id/tv_tag"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_18"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:paddingStart="@dimen/dp_4"
                    android:paddingEnd="@dimen/dp_4"
                    android:text="招标"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_11"
                    app:csb_cornerRadius="@dimen/dp_3"
                    app:csb_fillColor="#2B88F9"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="@id/tv_title" />

                <com.cheng.bole.widget.CommonShapeView
                    android:id="@+id/tv_location"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_18"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:paddingStart="@dimen/dp_4"
                    android:paddingEnd="@dimen/dp_4"
                    android:text="全国"
                    android:textColor="@color/color_585d6c"
                    android:textSize="@dimen/sp_11"
                    app:csb_cornerRadius="@dimen/dp_3"
                    app:csb_fillColor="@color/color_f4f6fa"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_content" />

                <com.cheng.bole.widget.CommonShapeView
                    android:id="@+id/tv_amount"
                    android:layout_width="wrap_content"
                    android:layout_height="@dimen/dp_18"
                    android:layout_marginEnd="@dimen/dp_8"
                    android:paddingStart="@dimen/dp_4"
                    android:paddingEnd="@dimen/dp_4"
                    android:text="2.71万元"
                    android:textColor="@color/color_ff493c"
                    android:textSize="@dimen/sp_11"
                    app:csb_cornerRadius="@dimen/dp_3"
                    app:csb_fillColor="#1aff493c"
                    app:layout_constraintStart_toEndOf="@id/tv_location"
                    app:layout_constraintTop_toTopOf="@id/tv_location" />
            </LinearLayout>

            <com.cheng.bole.widget.CommonShapeView
                android:id="@+id/tv_rate"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_20"
                android:drawableEnd="@mipmap/ic_rate_star"
                android:drawablePadding="@dimen/dp_2"
                android:paddingStart="@dimen/dp_5"
                android:paddingEnd="@dimen/dp_5"
                android:text="4.8"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_11"
                app:csb_cornerPosition="bottomLeft|topLeft"
                app:csb_cornerRadius="@dimen/dp_4"
                app:csb_fillColor="@color/color_ffb92d"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@id/layout_info" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </com.lihang.ShadowLayout>

</androidx.constraintlayout.widget.ConstraintLayout>